#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mma9551_read_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_update_config_bits, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_gpio_config, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_version, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_device_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_power_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_sleep, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_chan, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_scale, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_app_reset, "", "IIO_MMA9551");

SYMBOL_CRC(mma9551_read_config_byte, 0x54bb2efc, "");
SYMBOL_CRC(mma9551_write_config_byte, 0x7b563632, "");
SYMBOL_CRC(mma9551_read_status_byte, 0xe545ee95, "");
SYMBOL_CRC(mma9551_read_config_word, 0x1198b37b, "");
SYMBOL_CRC(mma9551_write_config_word, 0xcff11b78, "");
SYMBOL_CRC(mma9551_read_status_word, 0x25479447, "");
SYMBOL_CRC(mma9551_read_config_words, 0x9f71c639, "");
SYMBOL_CRC(mma9551_read_status_words, 0xc27d1678, "");
SYMBOL_CRC(mma9551_write_config_words, 0x75573b7c, "");
SYMBOL_CRC(mma9551_update_config_bits, 0xe837776f, "");
SYMBOL_CRC(mma9551_gpio_config, 0x224704bd, "");
SYMBOL_CRC(mma9551_read_version, 0x6d20df30, "");
SYMBOL_CRC(mma9551_set_device_state, 0x2b0e2ff5, "");
SYMBOL_CRC(mma9551_set_power_state, 0xec01649d, "");
SYMBOL_CRC(mma9551_sleep, 0xbcd7fe96, "");
SYMBOL_CRC(mma9551_read_accel_chan, 0x4acc17f5, "");
SYMBOL_CRC(mma9551_read_accel_scale, 0x41ef446c, "");
SYMBOL_CRC(mma9551_app_reset, 0xfcbe1213, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaaf3ae09, "i2c_transfer" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4f33b51b, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x12177991, "_dev_info" },
	{ 0xd30ec020, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9f1b82ed, "__pm_runtime_suspend" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F38357F916DE1B541CADC2E");
