#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dvb_generic_open, "", "");
KSYMTAB_FUNC(dvb_generic_release, "", "");
KSYMTAB_FUNC(dvb_generic_ioctl, "", "");
KSYMTAB_FUNC(dvb_register_device, "", "");
KSYMTAB_FUNC(dvb_remove_device, "", "");
KSYMTAB_FUNC(dvb_device_get, "", "");
KSYMTAB_FUNC(dvb_unregister_device, "", "");
KSYMTAB_FUNC(dvb_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(dvb_register_adapter, "", "");
KSYMTAB_FUNC(dvb_unregister_adapter, "", "");
KSYMTAB_FUNC(dvb_module_probe, "_gpl", "");
KSYMTAB_FUNC(dvb_module_release, "_gpl", "");
KSYMTAB_FUNC(dvb_dmxdev_init, "", "");
KSYMTAB_FUNC(dvb_dmxdev_release, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_packets, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_204, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_raw, "", "");
KSYMTAB_FUNC(dvb_dmx_init, "", "");
KSYMTAB_FUNC(dvb_dmx_release, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camchange_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camready_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_frda_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_init, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_release, "", "");
KSYMTAB_FUNC(dvb_frontend_reinitialise, "", "");
KSYMTAB_FUNC(dvb_frontend_sleep_until, "", "");
KSYMTAB_FUNC(dvb_frontend_suspend, "", "");
KSYMTAB_FUNC(dvb_frontend_resume, "", "");
KSYMTAB_FUNC(dvb_register_frontend, "", "");
KSYMTAB_FUNC(dvb_unregister_frontend, "", "");
KSYMTAB_FUNC(dvb_frontend_detach, "", "");
KSYMTAB_FUNC(dvb_net_release, "", "");
KSYMTAB_FUNC(dvb_net_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_empty, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_free, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_avail, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush_spinlock_wakeup, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read_user, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write_user, "", "");

SYMBOL_CRC(dvb_generic_open, 0xbdc89a15, "");
SYMBOL_CRC(dvb_generic_release, 0x464810ef, "");
SYMBOL_CRC(dvb_generic_ioctl, 0xbff81f26, "");
SYMBOL_CRC(dvb_register_device, 0xe570d36c, "");
SYMBOL_CRC(dvb_remove_device, 0xa1dbfe17, "");
SYMBOL_CRC(dvb_device_get, 0xc6d0ee35, "");
SYMBOL_CRC(dvb_unregister_device, 0x70644823, "");
SYMBOL_CRC(dvb_create_media_graph, 0x6cc4d4f6, "_gpl");
SYMBOL_CRC(dvb_register_adapter, 0xe058c9ec, "");
SYMBOL_CRC(dvb_unregister_adapter, 0x25e39bdd, "");
SYMBOL_CRC(dvb_module_probe, 0xe089f6c8, "_gpl");
SYMBOL_CRC(dvb_module_release, 0xb4f2b7e9, "_gpl");
SYMBOL_CRC(dvb_dmxdev_init, 0x5f463e65, "");
SYMBOL_CRC(dvb_dmxdev_release, 0x2ef7099f, "");
SYMBOL_CRC(dvb_dmx_swfilter_packets, 0x18acd31f, "");
SYMBOL_CRC(dvb_dmx_swfilter, 0x8c54b0f8, "");
SYMBOL_CRC(dvb_dmx_swfilter_204, 0x6a9f708a, "");
SYMBOL_CRC(dvb_dmx_swfilter_raw, 0xa4235824, "");
SYMBOL_CRC(dvb_dmx_init, 0x54abe4ff, "");
SYMBOL_CRC(dvb_dmx_release, 0x9263a063, "");
SYMBOL_CRC(dvb_ca_en50221_camchange_irq, 0x30ed9597, "");
SYMBOL_CRC(dvb_ca_en50221_camready_irq, 0x8f07e497, "");
SYMBOL_CRC(dvb_ca_en50221_frda_irq, 0x5db3f599, "");
SYMBOL_CRC(dvb_ca_en50221_init, 0x2f4c9b39, "");
SYMBOL_CRC(dvb_ca_en50221_release, 0xc48dc589, "");
SYMBOL_CRC(dvb_frontend_reinitialise, 0xb3d6e3f2, "");
SYMBOL_CRC(dvb_frontend_sleep_until, 0x3b93d71a, "");
SYMBOL_CRC(dvb_frontend_suspend, 0x76dfe5c5, "");
SYMBOL_CRC(dvb_frontend_resume, 0xf8b4cf8c, "");
SYMBOL_CRC(dvb_register_frontend, 0xecd1296b, "");
SYMBOL_CRC(dvb_unregister_frontend, 0xc43891ea, "");
SYMBOL_CRC(dvb_frontend_detach, 0xc4a0ffa7, "");
SYMBOL_CRC(dvb_net_release, 0x18afe55c, "");
SYMBOL_CRC(dvb_net_init, 0xb384377d, "");
SYMBOL_CRC(dvb_ringbuffer_flush, 0xfb9a826f, "");
SYMBOL_CRC(dvb_ringbuffer_init, 0xebbc2d9b, "");
SYMBOL_CRC(dvb_ringbuffer_empty, 0xb3352dd2, "");
SYMBOL_CRC(dvb_ringbuffer_free, 0xfc6380e5, "");
SYMBOL_CRC(dvb_ringbuffer_avail, 0xe138ce6b, "");
SYMBOL_CRC(dvb_ringbuffer_flush_spinlock_wakeup, 0x6181aec0, "");
SYMBOL_CRC(dvb_ringbuffer_read_user, 0x91a6794b, "");
SYMBOL_CRC(dvb_ringbuffer_read, 0xfb09f39a, "");
SYMBOL_CRC(dvb_ringbuffer_write, 0x2f5cdf80, "");
SYMBOL_CRC(dvb_ringbuffer_write_user, 0xc3f679f9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x654ddfd6, "netif_rx" },
	{ 0x1c4b3269, "__netdev_alloc_skb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x83f561d7, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0b7b910d, "kthread_create_on_node" },
	{ 0xc00109d7, "media_get_pad_index" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1dfdf9fb, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x695d581a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4fb9eae0, "media_devnode_create" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x5ed56c99, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0xb6553228, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x71b93bce, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x96411757, "kmalloc_caches" },
	{ 0x321cf408, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x492d65d1, "media_devnode_remove" },
	{ 0x9b6ff10d, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x75f8a0c8, "eth_header" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x194c5cec, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x7827bacc, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x057ae26d, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7f456f62, "class_destroy" },
	{ 0xcf2a6966, "up" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xcd086b3b, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x2c06682a, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x198fc321, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xaee164d2, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x46836ea4, "media_create_intf_link" },
	{ 0x50d4d793, "media_create_pad_links" },
	{ 0xa69098e4, "wake_up_process" },
	{ 0x0ff5c944, "media_create_pad_link" },
	{ 0x43ce4a2e, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x317569c7, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x688ee488, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x048832c5, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x12177991, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe757ac64, "module_put" },
	{ 0xd3481249, "crc32_be_arch" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x28a14891, "media_device_register_entity" },
	{ 0xdb893149, "cdev_add" },
	{ 0x66d87d38, "symbol_put_addr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x4f33b51b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x89a087b9, "i2c_unregister_device" },
	{ 0x505aebdf, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd4283474, "device_create" },
	{ 0xfb4ed5b2, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xdc2154c5, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc28ac342, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9adfbf4e, "register_netdev" },
	{ 0xe2a5980b, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8fca4462, "media_entity_pads_init" },
	{ 0x8f458725, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf4578e0f, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xca787d74, "default_llseek" },
	{ 0x5280db00, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "DC6628426FC6C67EFE94E7E");
