#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x6a3370aa, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x2e44e6a4, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x5a70aefa, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x0eba7a83, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96411757, "kmalloc_caches" },
	{ 0x695d581a, "__kmalloc_cache_noprof" },
	{ 0x01d8c9c5, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xbd4710b7, "unregister_netdevice_queue" },
	{ 0x6fd6a43a, "netdev_upper_dev_unlink" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x43ce4a2e, "dev_addr_mod" },
	{ 0xa6e9a29a, "dev_uc_add" },
	{ 0xaacda408, "dev_set_mtu" },
	{ 0xb0f622a1, "netdev_update_features" },
	{ 0x25daaf9a, "netif_stacked_transfer_operstate" },
	{ 0x75dc7c17, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x50e91a89, "skb_clone" },
	{ 0x654ddfd6, "netif_rx" },
	{ 0xcd086b3b, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x483aa1d5, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7827bacc, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x0fd69e3c, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x8f5d5ca7, "__dev_queue_xmit" },
	{ 0xcb156248, "dev_forward_skb" },
	{ 0xcfb20d35, "netpoll_send_skb" },
	{ 0xb75a99ac, "__netif_rx" },
	{ 0x105dc880, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xea800b01, "netdev_core_stats_inc" },
	{ 0xbb159d1a, "__dev_get_by_index" },
	{ 0x378c77ec, "netdev_is_rx_handler_busy" },
	{ 0x3aac2f8e, "netdev_rx_handler_register" },
	{ 0x78624843, "register_netdevice" },
	{ 0x99d247b7, "netdev_upper_dev_link" },
	{ 0x4ddb63b6, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1158fde1, "passthru_features_check" },
	{ 0x2c06682a, "eth_validate_addr" },
	{ 0xcc405238, "ndo_dflt_fdb_dump" },
	{ 0xd02e15f1, "ethtool_op_get_link" },
	{ 0x688ee488, "eth_header_parse" },
	{ 0x242ab679, "eth_header_cache" },
	{ 0xc4d0ed6d, "eth_header_cache_update" },
	{ 0xeeccbb86, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaee164d2, "ether_setup" },
	{ 0x362d964a, "__ethtool_get_link_ksettings" },
	{ 0xda9b899f, "ethtool_get_ts_info_by_layer" },
	{ 0xcc3cda9d, "init_net" },
	{ 0x671ce107, "generic_hwtstamp_set_lower" },
	{ 0xd96cfce2, "generic_hwtstamp_get_lower" },
	{ 0xfe834d71, "dev_mc_del" },
	{ 0x3f53f3b6, "dev_uc_del" },
	{ 0x827af1d7, "dev_mc_add_excl" },
	{ 0x7b8a2f8a, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x702b80c0, "__netpoll_free" },
	{ 0xfdd23128, "vlan_vid_del" },
	{ 0x5ff1892c, "vlan_vid_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4a85139, "dev_uc_sync" },
	{ 0x450b3d07, "dev_mc_sync" },
	{ 0x52c2a1a8, "dev_set_allmulti" },
	{ 0xa627388b, "dev_set_promiscuity" },
	{ 0x3ec8cbee, "dev_uc_unsync" },
	{ 0x3b094c43, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb1a60f00, "netdev_rx_handler_unregister" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x0bbde398, "sk_skb_reason_drop" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c7d6729, "dev_set_mac_address" },
	{ 0x037a0cba, "kfree" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x4e166920, "netif_inherit_tso_max" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x938ac136, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa2b84886, "rtnl_link_unregister" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F9909715E5021DE87BEA24");
