#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x157592d6, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x4e4eee51, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x220d8618, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x8018dff4, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x01aff19f, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x35c5500d, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x540fab94, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x0ac43778, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x7f1331bb, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x49b9bec0, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xc184bd72, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xb5e0e692, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xbda2edcb, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xe2a4dd4f, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x897e38df, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x22137f1c, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x70cbe35f, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xe99dcbaa, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x7303ba5f, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x2f6890ed, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xe7b8ef1b, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x336c3c82, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x87ab0e1c, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x549a4b05, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x85a3f436, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0xb9567281, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x515f5f6d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xa14013c8, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xa6be62f5, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x6fde392f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x5a20f906, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x2707f2f9, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x404e8607, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xc0956bc2, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xb2d827a4, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xd05f560e, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xdd6f90f8, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x9f43ef31, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x48763842, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xe127d332, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x523a4161, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xb180c36d, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xa1cf7b56, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x6fc8da3d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x716b2628, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xac9f9838, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x1141bdac, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x5b3c66d5, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x99ce37ba, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xe1b6d8d7, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x045ab762, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x794830e8, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xb772a958, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xba1c0063, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x7affc89b, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x0e2aa116, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xe1473f14, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x3227372d, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x1b73d313, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x847683d2, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xb57b7319, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xa87346c8, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x43563c76, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xdc66cc70, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xf5f98617, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x5c3aa7a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef1a064c, "mt76_csa_check" },
	{ 0xafc6c19d, "mt76_tx_status_skb_add" },
	{ 0x50452496, "__tracepoint_mac_txdone" },
	{ 0xf895603c, "mt76_tx_check_agg_ssn" },
	{ 0x45b64a1e, "ieee80211_tx_status_ext" },
	{ 0x68ba32bc, "mt76_stop_tx_queues" },
	{ 0xc4aea61e, "___pskb_trim" },
	{ 0x3d29faad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9082ada6, "__mt76_tx_complete_skb" },
	{ 0xcd086b3b, "pcpu_hot" },
	{ 0x845716b3, "seq_lseek" },
	{ 0x6a0ffff5, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x05cf8953, "ieee80211_restart_hw" },
	{ 0xc89b395d, "bpf_trace_run2" },
	{ 0x487f15a5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc6c3cd3a, "kthread_park" },
	{ 0xbe46583d, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bd7b389, "mt76_wcid_init" },
	{ 0x5cc29df7, "mt76_tx_status_check" },
	{ 0xa69098e4, "wake_up_process" },
	{ 0x3bee7a5d, "trace_event_buffer_commit" },
	{ 0xc0fa21ad, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe159fecb, "napi_complete_done" },
	{ 0xb0ac4ef9, "ieee80211_get_tx_rates" },
	{ 0xec042ef4, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33b83701, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x275cd3d4, "mt76_tx" },
	{ 0x4cbc7634, "__napi_schedule" },
	{ 0x7169d2f4, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd0ebf8e5, "mt76_wcid_key_setup" },
	{ 0x12177991, "_dev_info" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xc0157728, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x37ad78d7, "kthread_unpark" },
	{ 0x8db1b110, "mt76_phy_dfs_state" },
	{ 0xd4496e91, "wiphy_to_ieee80211_hw" },
	{ 0x49e38d97, "mt76_init_queue" },
	{ 0xd6955c52, "debugfs_attr_read" },
	{ 0xe1beed74, "__mt76_sta_remove" },
	{ 0x91bc5bde, "mt76_tx_status_skb_done" },
	{ 0x4945af9a, "ieee80211_queue_delayed_work" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x2acfa28a, "perf_trace_run_bpf_submit" },
	{ 0x4f33b51b, "_dev_err" },
	{ 0x46b1b824, "debugfs_create_bool" },
	{ 0x505aebdf, "skb_pull" },
	{ 0xf3a2e5ab, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1fb312df, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc28ac342, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x66952aa5, "napi_enable" },
	{ 0xf9f25bfd, "seq_putc" },
	{ 0x99caadab, "trace_event_reg" },
	{ 0xdaf16422, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x1931b228, "ieee80211_wake_queues" },
	{ 0xdd781b64, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1d99580, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x3556fd27, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xf707effe, "mt76_set_irq_mask" },
	{ 0xbdc0797b, "bpf_trace_run1" },
	{ 0x818958d9, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2c112e03, "debugfs_create_u32" },
	{ 0x6ab177d5, "__SCK__tp_func_mac_txdone" },
	{ 0xb0cf6af4, "mt76_seq_puts_array" },
	{ 0xfa891973, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5e07a69a, "__tracepoint_dev_irq" },
	{ 0x43c999df, "seq_read" },
	{ 0x7f0a6efa, "mt76_mcu_get_response" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xe91387b3, "trace_event_buffer_reserve" },
	{ 0x1b0afb6b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x72c4e533, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c0d0386, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x31cec93f, "seq_write" },
	{ 0x882cd44c, "____mt76_poll_msec" },
	{ 0xa6775829, "seq_printf" },
	{ 0xc87854cf, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xc5a8af0f, "debugfs_create_file_full" },
	{ 0x6fb8d2a3, "mt76_wcid_cleanup" },
	{ 0x72de11b7, "ieee80211_radar_detected" },
	{ 0x42f2a5ee, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8de9d81c, "mt76_queues_read" },
	{ 0xafe4f784, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x10616ae6, "napi_schedule_prep" },
	{ 0x7f0d4605, "napi_disable" },
	{ 0xbb11b939, "dev_kfree_skb_any_reason" },
	{ 0x1c7e4553, "__mt76_poll" },
	{ 0x8433422a, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x25452e2f, "debugfs_create_u8" },
	{ 0xba162d43, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb542f089, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0xb62f0f69, "mt76_dma_rx_poll" },
	{ 0xc46a23b5, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa65c49e6, "simple_attr_open" },
	{ 0x97e44d55, "debugfs_attr_write" },
	{ 0xcf4d064d, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7827bacc, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x076c1108, "mt76_tx_status_skb_get" },
	{ 0x768d1662, "trace_raw_output_prep" },
	{ 0xa4c406fa, "mt76_tx_status_lock" },
	{ 0x53203adf, "skb_dequeue" },
	{ 0x63f9881c, "__trace_trigger_soft_disabled" },
	{ 0xff9847ef, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "0BF73325064BE6E0FFA81F4");
