#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_proto, 0x95681948, "_gpl");
SYMBOL_CRC(smc_proto6, 0x8d66db29, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x1e6f458e, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xe596cebd, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0xbd7fd19e, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0xf5ea6305, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0x25744624, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0x076af7b7, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x774b7ee4, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x9b1cd893, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x85cbea56, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xa1c279fb, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0xe4add1a9, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0x5342ed49, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x99478851, "sk_error_report" },
	{ 0x7e8b2708, "register_pernet_subsys" },
	{ 0xaa17d277, "dev_driver_string" },
	{ 0x3bee7a5d, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xb02b1f05, "register_net_sysctl_sz" },
	{ 0xf6337d9f, "tcp_abort" },
	{ 0x404dc4ef, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf98adf00, "dma_map_page_attrs" },
	{ 0xe2573a0a, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0x635829b4, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x99aa5553, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd866786e, "put_device" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xdcf2fdc6, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0x8410a0ec, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x048832c5, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5b81c992, "__free_pages" },
	{ 0xc023d9fc, "ib_unregister_event_handler" },
	{ 0xf9a2dd27, "proto_register" },
	{ 0x6d913ada, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x407c1d99, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0xa0b9b782, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xb909d3bb, "__dma_sync_single_for_cpu" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4bb30f27, "generic_pipe_buf_get" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x2acfa28a, "perf_trace_run_bpf_submit" },
	{ 0xc763003c, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xcc3cda9d, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x0bbde398, "sk_skb_reason_drop" },
	{ 0x5ce421e2, "netlink_unicast" },
	{ 0x6fa3d4e4, "__SCK__tp_func_sk_data_ready" },
	{ 0xe411fa7b, "rdma_put_gid_attr" },
	{ 0x60cbd7c6, "kernel_getsockname" },
	{ 0x9238c91d, "sk_free" },
	{ 0x790e24c2, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x971f4959, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb11fc790, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x99caadab, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6999bd71, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc73f9084, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x573926ee, "lock_sock_nested" },
	{ 0x6c35947e, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc3585eb4, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf2b0a2ad, "sk_alloc" },
	{ 0x50f7c77c, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65d12978, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1ac6e300, "kernel_connect" },
	{ 0x31173c25, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xbb3728af, "sk_wait_data" },
	{ 0x7db14ca4, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5c77056a, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x284e29a5, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x1bc6689c, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xa16ae021, "skb_trim" },
	{ 0xe30b94e7, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc02c3a8e, "tcp_register_ulp" },
	{ 0xdd2bca81, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6dc3d2be, "ib_device_get_netdev" },
	{ 0x73beb5d7, "kernel_listen" },
	{ 0x887d7cde, "ib_dma_virt_map_sg" },
	{ 0xf7a6e124, "neigh_destroy" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe91387b3, "trace_event_buffer_reserve" },
	{ 0xc3cdffe4, "inet6_register_protosw" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x15ddb28f, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1368232d, "__dma_sync_single_for_device" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1fcf8dce, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x695d581a, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcdcab917, "sock_recvmsg" },
	{ 0x07dfbee9, "sk_net_refcnt_upgrade" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5e222fbb, "dev_get_by_name" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x2b0d02c2, "dst_release" },
	{ 0x96857265, "sk_stream_wait_connect" },
	{ 0xb2916788, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xb570aa39, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xffb75d21, "alloc_pages_noprof" },
	{ 0xb610172d, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa200308f, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8459bb32, "vlan_dev_vlan_id" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x03c71f6d, "ib_dealloc_pd_user" },
	{ 0xa25f2134, "rdma_get_gid_attr" },
	{ 0x89a0c1dc, "dma_unmap_sg_attrs" },
	{ 0xebc581be, "genl_unregister_family" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xf383c14f, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7fd84a66, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc65002d7, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xabe8b20a, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x96411757, "kmalloc_caches" },
	{ 0x3532f385, "release_sock" },
	{ 0x228f0364, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4124e818, "netdev_lower_get_next" },
	{ 0x371ab4e7, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xea2ad4ef, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc67d0a3d, "ib_unregister_client" },
	{ 0x5ecbd601, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6f86de30, "__nlmsg_put" },
	{ 0xaf0ebf4a, "inet_unregister_protosw" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1ecaca3d, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x768d1662, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x24c231c7, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa45fc986, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdebfb4f1, "inet6_unregister_protosw" },
	{ 0x63f9881c, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x217a7fd4, "dma_unmap_page_attrs" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xff9847ef, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8cdbbc8b, "__dma_need_sync" },
	{ 0xe0eb7cf5, "kernel_bind" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x6b38e93a, "genlmsg_put" },
	{ 0x3d29faad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb03fd10a, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xcd086b3b, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xcc1c5211, "ib_dereg_mr_user" },
	{ 0x5c1a283b, "__tracepoint_sk_data_ready" },
	{ 0xc89b395d, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa33671a8, "kernel_accept" },
	{ 0x3f9edaeb, "rdma_dev_access_netns" },
	{ 0xa4d8ccdb, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x161de4a1, "ip_route_output_flow" },
	{ 0x07a703f1, "get_device" },
	{ 0x104cf123, "sk_stream_error" },
	{ 0xf207a8f4, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x309f705b, "sock_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "F46074C1FBF4BE9A4F62B7F");
