#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x537084fe, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x96c9f5bd, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0xe5fa1271, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xa4fe4d45, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x8021fbd9, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xa7f7e006, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0xd45b02a9, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x1fdb5b1b, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xf561e767, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xce25d0e1, "unregister_candev" },
	{ 0xd526470f, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x8d2c4e6a, "devm_clk_get" },
	{ 0xd30ec020, "__pm_runtime_resume" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xdbc9b6d9, "netif_tx_wake_queue" },
	{ 0xea590ffc, "netif_schedule_queue" },
	{ 0xad357388, "__pm_runtime_idle" },
	{ 0x009fdca9, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x7b3d1112, "can_put_echo_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd797ec50, "hrtimer_try_to_cancel" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0xdc13e5ab, "netdev_warn" },
	{ 0x71c2f9f2, "phy_power_on" },
	{ 0xa04c98d4, "open_candev" },
	{ 0x66952aa5, "napi_enable" },
	{ 0x0de50f48, "phy_power_off" },
	{ 0x09eab853, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7f0d4605, "napi_disable" },
	{ 0x15e19233, "close_candev" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x0bbde398, "sk_skb_reason_drop" },
	{ 0x0800fd72, "can_dropped_invalid_skb" },
	{ 0xec5cd2b8, "softnet_data" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x0e7c05df, "netdev_printk" },
	{ 0x2cabcd6f, "pinctrl_pm_select_default_state" },
	{ 0xa8578f24, "netif_device_attach" },
	{ 0xbdca7924, "hrtimer_init" },
	{ 0xc1f32336, "register_candev" },
	{ 0xcf4d064d, "devm_kmalloc" },
	{ 0x97f51501, "can_rx_offload_add_manual" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6a0ffff5, "netif_napi_add_weight_locked" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12177991, "_dev_info" },
	{ 0xc97ade3e, "pinctrl_pm_select_sleep_state" },
	{ 0x134a912a, "netif_device_detach" },
	{ 0xe99ffa8e, "alloc_can_err_skb" },
	{ 0xf98685e7, "can_rx_offload_queue_timestamp" },
	{ 0x52846b80, "netif_receive_skb" },
	{ 0x83f561d7, "__dynamic_netdev_dbg" },
	{ 0xdb1f9fe4, "can_bus_off" },
	{ 0xe9693a92, "alloc_canfd_skb" },
	{ 0xa1d699a2, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xe159fecb, "napi_complete_done" },
	{ 0x5813f0e7, "hrtimer_active" },
	{ 0x10616ae6, "napi_schedule_prep" },
	{ 0x820bf447, "can_rx_offload_threaded_irq_finish" },
	{ 0x4cbc7634, "__napi_schedule" },
	{ 0xbcecb152, "hrtimer_forward" },
	{ 0xd1f2f5cc, "ethtool_op_get_ts_info" },
	{ 0x9098ebb3, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4f33b51b, "_dev_err" },
	{ 0x8c1d6501, "__dev_fwnode" },
	{ 0x5d395d4a, "fwnode_property_read_u32_array" },
	{ 0xbeca4fe5, "alloc_candev_mqs" },
	{ 0x198fc321, "__dynamic_dev_dbg" },
	{ 0xfa5f9d99, "free_candev" },
	{ 0x0bd84353, "netdev_err" },
	{ 0xb4abb780, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x835b22a0, "can_get_echo_skb" },
	{ 0xe17cfed8, "can_free_echo_skb" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "02D9A9695C6C1090A8C8DA1");
