#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0x4f89e2fa, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x642a00dc, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x1c94a2b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x695d581a, "__kmalloc_cache_noprof" },
	{ 0x9b04896f, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb86f5f14, "ocelot_port_pre_bridge_flags" },
	{ 0x2e619431, "ocelot_port_del_dscp_prio" },
	{ 0x3eaf2dbc, "ocelot_mrp_del_ring_role" },
	{ 0xae142e4f, "ocelot_sb_tc_pool_bind_set" },
	{ 0x9f99c023, "dsa_fdb_present_in_other_db" },
	{ 0xa5b5187d, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x32804904, "dsa_mdb_present_in_other_db" },
	{ 0x67fc23ee, "ocelot_vcap_filter_add" },
	{ 0xcba0fe91, "ocelot_sb_port_pool_get" },
	{ 0x5363d032, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x95c44aea, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x4650d2d5, "ocelot_port_inject_frame" },
	{ 0x621c7f6d, "dev_err_probe" },
	{ 0x651af32a, "ocelot_mrp_add" },
	{ 0x0ae82cf9, "ocelot_sb_occ_port_pool_get" },
	{ 0x586000df, "ocelot_sb_pool_set" },
	{ 0xc6520c78, "ocelot_lag_fdb_del" },
	{ 0x138f7ca6, "ocelot_vcap_filter_del" },
	{ 0xde385385, "ocelot_cls_flower_stats" },
	{ 0x04175904, "ocelot_lock_inj_grp" },
	{ 0xac2f8f51, "ocelot_lock_xtr_grp_bh" },
	{ 0xfd30a58a, "ocelot_sb_pool_get" },
	{ 0x5ef2b234, "ocelot_lock_xtr_grp" },
	{ 0xd76a917a, "ocelot_phylink_mac_link_up" },
	{ 0x0fed5339, "ocelot_deinit_port" },
	{ 0x7e1ea22a, "ocelot_can_inject" },
	{ 0x96411757, "kmalloc_caches" },
	{ 0x9235a93f, "ocelot_port_mirror_add" },
	{ 0xa0c8f9ad, "ocelot_fdb_dump" },
	{ 0xc70df079, "ocelot_vlan_prepare" },
	{ 0x9e4fe3bc, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfbafcbbe, "ocelot_set_ageing_time" },
	{ 0x5dca0a8b, "__ocelot_rmw_ix" },
	{ 0xcf4d064d, "devm_kmalloc" },
	{ 0x62c7f730, "ocelot_hwstamp_set" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x6cf35f6a, "ocelot_port_policer_del" },
	{ 0x694460b9, "ocelot_port_lag_change" },
	{ 0x7827bacc, "consume_skb" },
	{ 0x8fe04f31, "ocelot_port_policer_add" },
	{ 0xaa66b0df, "ocelot_port_mdb_add" },
	{ 0x76006a33, "ocelot_vlan_add" },
	{ 0xb50dc4bb, "ocelot_sb_tc_pool_bind_get" },
	{ 0x13fbed25, "ocelot_port_bridge_flags" },
	{ 0x50dbd67f, "ocelot_devlink_sb_unregister" },
	{ 0x46d20409, "ocelot_port_bridge_leave" },
	{ 0xd61d6248, "ocelot_port_set_maxlen" },
	{ 0xcdca84ef, "ocelot_vcap_filter_replace" },
	{ 0xd4b07921, "ocelot_get_max_mtu" },
	{ 0x13ddb406, "regmap_fields_update_bits_base" },
	{ 0xf2ac9dd1, "ocelot_sb_occ_snapshot" },
	{ 0xacd5e79b, "ocelot_get_ts_info" },
	{ 0x5fec3ce1, "ocelot_sb_occ_max_clear" },
	{ 0xbca082d7, "ocelot_port_get_mm" },
	{ 0x56616be5, "ocelot_ptp_gettime64" },
	{ 0xff50f34d, "ocelot_unlock_inj_grp" },
	{ 0xa3224455, "ocelot_get_strings" },
	{ 0x7b9b9c15, "dsa_register_switch" },
	{ 0x037a0cba, "kfree" },
	{ 0x9133eba2, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x6f34b9b5, "ocelot_unlock_xtr_grp_bh" },
	{ 0x6d2a42d6, "ocelot_port_add_dscp_prio" },
	{ 0xce7426d5, "ocelot_drain_cpu_queue" },
	{ 0x886084ea, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59250dd8, "__ocelot_read_ix" },
	{ 0xa22e9c61, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xcc94cf72, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x43f66c19, "ocelot_get_sset_count" },
	{ 0x0d8fb388, "ocelot_migrate_mdbs" },
	{ 0xec061894, "ocelot_hwstamp_get" },
	{ 0xddf4e6db, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc11ac102, "ocelot_port_bridge_join" },
	{ 0x187f7c89, "ocelot_fdb_add" },
	{ 0xbea0a7aa, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x82a39a88, "ocelot_xtr_poll_frame" },
	{ 0x0ff7ef08, "ocelot_port_get_default_prio" },
	{ 0xad6412d0, "ptp_classify_raw" },
	{ 0xc9404796, "ocelot_port_set_default_prio" },
	{ 0xb3f8aa7d, "dsa_tag_8021q_register" },
	{ 0x96d86f91, "ocelot_port_get_mm_stats" },
	{ 0x46f5a10b, "ocelot_deinit" },
	{ 0x4f33b51b, "_dev_err" },
	{ 0xc8af01c2, "ocelot_port_get_ts_stats" },
	{ 0x4bb2a0c3, "ocelot_vlan_del" },
	{ 0x0bbde398, "sk_skb_reason_drop" },
	{ 0x990530b0, "ocelot_bond_get_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb8e0869e, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4e164566, "ocelot_cls_flower_destroy" },
	{ 0xa1ba0cc1, "ocelot_port_vlan_filtering" },
	{ 0xaf3f2054, "ocelot_port_get_rmon_stats" },
	{ 0xa033a7a9, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x9ce46aed, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfdd5d2d9, "ocelot_bridge_stp_state_set" },
	{ 0xa355c42f, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x654ddfd6, "netif_rx" },
	{ 0x577cf750, "ocelot_port_get_eth_ctrl_stats" },
	{ 0xc239f712, "ocelot_fdb_del" },
	{ 0x859b501a, "ocelot_phylink_mac_link_down" },
	{ 0xa14649b2, "ocelot_port_lag_join" },
	{ 0x5472c4af, "ocelot_port_get_eth_phy_stats" },
	{ 0xb508fe9c, "ocelot_port_lag_leave" },
	{ 0x26efbd9b, "ocelot_mrp_add_ring_role" },
	{ 0xefb8e180, "ocelot_port_set_mm" },
	{ 0x38e945ba, "ocelot_deinit_timestamp" },
	{ 0xac3cba24, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x62f46a11, "ocelot_port_get_stats64" },
	{ 0x9aa6248f, "ocelot_port_get_dscp_prio" },
	{ 0x976cca32, "ocelot_port_mdb_del" },
	{ 0x039065fa, "ocelot_port_get_eth_mac_stats" },
	{ 0xec6b7bd6, "ocelot_mact_flush" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "3A7083E660CB741335C796F");
