#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x1ee691ec, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xbf68a4f7, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x5c62281a, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xa74541ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea4b4a70, "ip_mc_join_group" },
	{ 0xa0a2ca68, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x573926ee, "lock_sock_nested" },
	{ 0xd02e15f1, "ethtool_op_get_link" },
	{ 0x72e326eb, "nexthop_find_by_id" },
	{ 0xcb5d1f45, "arp_create" },
	{ 0x362d964a, "__ethtool_get_link_ksettings" },
	{ 0xe9c2211d, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x65d12978, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xa029f525, "netdev_adjacent_change_abort" },
	{ 0x3db7f68e, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa365070d, "udp_tunnel6_dst_lookup" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6e8cbfc0, "__iptunnel_pull_header" },
	{ 0x2b7b526e, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x654ddfd6, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x91953ede, "setup_udp_tunnel_sock" },
	{ 0x5aa7e53a, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa16ae021, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x83f561d7, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x94fa9a51, "skb_scrub_packet" },
	{ 0xbd401554, "nexthop_select_path" },
	{ 0x0fd69e3c, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x36666b3a, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf7a6e124, "neigh_destroy" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5fbc2861, "param_ops_bool" },
	{ 0xdb5a6ec9, "udp_tun_rx_dst" },
	{ 0x695d581a, "__kmalloc_cache_noprof" },
	{ 0x5de05ed6, "rtnl_notify" },
	{ 0xa8e53d4a, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb75a99ac, "__netif_rx" },
	{ 0x50e91a89, "skb_clone" },
	{ 0x9d2775a2, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x2b0d02c2, "dst_release" },
	{ 0x747656d7, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x07f9ab94, "udp_tunnel_notify_del_rx_port" },
	{ 0xa0b34e44, "register_nexthop_notifier" },
	{ 0x4a775981, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x74359d8e, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb118c353, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x96411757, "kmalloc_caches" },
	{ 0xea19f9a4, "netdev_info" },
	{ 0x5b16334d, "neigh_lookup" },
	{ 0x3532f385, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x78624843, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa6e70e2b, "__skb_checksum_complete" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xbe68592b, "skb_copy_bits" },
	{ 0x6f86de30, "__nlmsg_put" },
	{ 0x8f965277, "netdev_adjacent_change_commit" },
	{ 0xb0a49124, "eth_mac_addr" },
	{ 0x194c5cec, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xddf9c647, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1a818984, "ip6_dst_hoplimit" },
	{ 0x6177cae5, "param_ops_ushort" },
	{ 0x7827bacc, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xbc655c26, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8c9bfdaa, "udp_tunnel6_xmit_skb" },
	{ 0x938ac136, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x1ab4a094, "__unregister_nexthop_notifier" },
	{ 0x4e166920, "netif_inherit_tso_max" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xcd086b3b, "pcpu_hot" },
	{ 0x2c06682a, "eth_validate_addr" },
	{ 0x5e90a70a, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa595197d, "rtnl_create_link" },
	{ 0xbd4710b7, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8d7dcbba, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xaee164d2, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaac4689d, "udp_tunnel_drop_rx_port" },
	{ 0x99d247b7, "netdev_upper_dev_link" },
	{ 0x6dbe187b, "pskb_expand_head" },
	{ 0x7e8b2708, "register_pernet_subsys" },
	{ 0x43ce4a2e, "dev_addr_mod" },
	{ 0x200f1178, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4c5e9ed, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x8410a0ec, "__alloc_skb" },
	{ 0xc94ea237, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xb1c016a8, "eth_gro_complete" },
	{ 0x81df0fbe, "rtnl_set_sk_err" },
	{ 0xcdf772ab, "eth_gro_receive" },
	{ 0x69718c84, "rtnl_configure_link" },
	{ 0x8629b080, "skb_tunnel_check_pmtu" },
	{ 0xd970f6ae, "udp_tunnel_dst_lookup" },
	{ 0x89d52648, "rtnl_unicast" },
	{ 0x3a8ec1a3, "peernet2id" },
	{ 0x1377106a, "__skb_get_hash_net" },
	{ 0xa8379e0b, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xbb159d1a, "__dev_get_by_index" },
	{ 0xa2b84886, "rtnl_link_unregister" },
	{ 0x9e073831, "ipv6_stub" },
	{ 0x505aebdf, "skb_pull" },
	{ 0xa09236ab, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x0bbde398, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3867689d, "dev_get_by_index_rcu" },
	{ 0xaf4b3cac, "gro_cells_receive" },
	{ 0xc28ac342, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x6fd6a43a, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x4447e293, "__rtnl_register_many" },
	{ 0xe2a5980b, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "94975312310B2B5208D6038");
