#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x1d2e1472, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26573c45, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xce0be077, "nfs_async_iocounter_wait" },
	{ 0x62525e9e, "nfs_setattr_update_inode" },
	{ 0x0663a2bd, "nfs_sops" },
	{ 0xedbc1cc2, "init_user_ns" },
	{ 0x145d68c8, "rpc_restart_call" },
	{ 0x24c12b81, "nfs_link" },
	{ 0x695d581a, "__kmalloc_cache_noprof" },
	{ 0x8fbb5aa5, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0x446cfdb6, "put_nfs_open_context" },
	{ 0x14646901, "nfs_permission" },
	{ 0xffb75d21, "alloc_pages_noprof" },
	{ 0x208deace, "nfs_add_or_obtain" },
	{ 0x65007804, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0xa9e351f5, "nfs_free_client" },
	{ 0x5f1ade78, "nfs_close_context" },
	{ 0xb8831964, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0x1772874e, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x96411757, "kmalloc_caches" },
	{ 0xb3abd719, "nfs_symlink" },
	{ 0xdc1bb023, "nfs_unlink" },
	{ 0x4a475640, "forget_cached_acl" },
	{ 0x5ec23f8e, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x81f39300, "nlmclnt_proc" },
	{ 0x8d3536f0, "nfs_writeback_update_inode" },
	{ 0xc9e00224, "nfs_alloc_client" },
	{ 0xa90aecb6, "nfs_dentry_operations" },
	{ 0x9d1a3a4b, "xdr_write_pages" },
	{ 0x24f32904, "nfs_access_zap_cache" },
	{ 0x29f2ab56, "nfs_wb_all" },
	{ 0x2b15c3b8, "xdr_inline_decode" },
	{ 0xec6d8b53, "forget_all_cached_acls" },
	{ 0xe18fcd8e, "nfs_submount" },
	{ 0xfed38abc, "__tracepoint_nfs_xdr_status" },
	{ 0x6a68d5d6, "nfs_mknod" },
	{ 0xbdcd8f31, "nfs_create_server" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaa73e79f, "nfs_init_client" },
	{ 0x037a0cba, "kfree" },
	{ 0x93340425, "nfs_post_op_update_inode" },
	{ 0xcd086b3b, "pcpu_hot" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xf64999a2, "xdr_read_pages" },
	{ 0xe959e042, "nfsacl_decode" },
	{ 0xe0dae0b0, "posix_acl_from_mode" },
	{ 0x1be7046c, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x402119fd, "nfs_mkdir" },
	{ 0xb83578b2, "nfs_revalidate_inode" },
	{ 0xc79bf2f9, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x48594333, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb61fa9b7, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x048832c5, "const_pcpu_hot" },
	{ 0x23420a8b, "nfs_get_client" },
	{ 0x5b81c992, "__free_pages" },
	{ 0x08512414, "nfs_file_operations" },
	{ 0x9791a9ff, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x1cc9f6e9, "nfs_put_lock_context" },
	{ 0xf657cc57, "nfs_rename" },
	{ 0x975d0fe0, "nfs_lookup" },
	{ 0x19586234, "nfs_sysfs_link_rpc_client" },
	{ 0x24db84b8, "nfsacl_encode" },
	{ 0xbe5eca96, "posix_acl_create" },
	{ 0x3f548423, "get_nfs_open_context" },
	{ 0x5a26f7b1, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x28447ce5, "nfs_invalidate_atime" },
	{ 0xa622b393, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x667ca32b, "nfs_getattr" },
	{ 0x3a5ef149, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xdece7fb8, "nfs_zap_acl_cache" },
	{ 0xec1ce48f, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2870194c, "rpc_bind_new_program" },
	{ 0xe9e0f0c1, "register_nfs_version" },
	{ 0xe49dac6e, "nfs_atomic_open_v23" },
	{ 0x2e118273, "rpc_call_start" },
	{ 0xde145dcc, "rpc_call_sync" },
	{ 0x8c20c2c5, "rpc_prepare_reply_pages" },
	{ 0xa94755aa, "nfs_fs_type" },
	{ 0x59c20a0d, "nfs_setattr" },
	{ 0x93b4890f, "xdr_terminate_string" },
	{ 0x4ed2b7d9, "nfs_fattr_init" },
	{ 0x1a48c4d4, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xf5632eed, "make_kgid" },
	{ 0xc402120b, "from_kgid_munged" },
	{ 0x2d0f9b90, "nfs_alloc_fattr" },
	{ 0x60becd89, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5eaffd6b, "nfs_rmdir" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "080A8465895858F70F24522");
