#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x675980c6, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x398655e9, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x883dcdc8, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x5407067b, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xd9600cb9, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xbfcff941, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x43d6fd0f, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x4753542a, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x46588543, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0xdbcfac1b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa9ccb3bd, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa244a922, "devm_gpiod_get_optional" },
	{ 0x4404439b, "wm_adsp_stop" },
	{ 0x198fc321, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30d82229, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4bb2acde, "__pm_runtime_set_status" },
	{ 0xcde06150, "devm_snd_soc_register_component" },
	{ 0x38685593, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0e85daa7, "sdw_write_no_pm" },
	{ 0x1b022a11, "devm_free_irq" },
	{ 0x4ac169ff, "pm_runtime_enable" },
	{ 0xf91e4e1d, "fwnode_gpiod_get_index" },
	{ 0x68598941, "regulator_bulk_disable" },
	{ 0x12177991, "_dev_info" },
	{ 0x2ab8f63e, "acpi_dev_remove_driver_gpios" },
	{ 0x25e1d4fa, "snd_soc_info_volsw" },
	{ 0x019800c4, "cs35l56_init_cs_dsp" },
	{ 0xc944e6ad, "wm_adsp_power_down" },
	{ 0x4f33b51b, "_dev_err" },
	{ 0x46b1b824, "debugfs_create_bool" },
	{ 0xe5288f4c, "wm_adsp_event" },
	{ 0x05c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x81f91765, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x0fa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x64e7f58c, "cs35l56_runtime_suspend_common" },
	{ 0xaa45bc6c, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc950a19e, "cs35l56_mbox_send" },
	{ 0xa9631fb6, "cs35l56_hw_init" },
	{ 0x5280db00, "_dev_warn" },
	{ 0x15aea935, "wm_adsp2_component_probe" },
	{ 0x0d6fd184, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9dc74fdc, "cs35l56_system_reset" },
	{ 0xac7596d6, "snd_soc_info_enum_double" },
	{ 0xf9fb2651, "regulator_bulk_enable" },
	{ 0x463319a3, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x622405d4, "wm_adsp2_component_remove" },
	{ 0x9e4bfc64, "cs35l56_wait_for_firmware_boot" },
	{ 0x1e26ed59, "devm_kasprintf" },
	{ 0x1868c952, "snd_soc_get_volsw" },
	{ 0xf0e6f54f, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xdd8051b5, "fwnode_property_present" },
	{ 0x178f924c, "cs35l56_is_fw_reload_needed" },
	{ 0x6fad39ff, "regmap_read" },
	{ 0xcd30ed94, "snd_soc_put_volsw" },
	{ 0xd30ec020, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x340f7304, "cs_amp_write_cal_coeffs" },
	{ 0xb04569a5, "device_get_named_child_node" },
	{ 0x65758ca6, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x4df31fea, "sdw_stream_remove_slave" },
	{ 0x707fe482, "cs35l56_runtime_resume_common" },
	{ 0xe8fe5c28, "dapm_regulator_event" },
	{ 0xabe4b492, "cs35l56_get_speaker_id" },
	{ 0x2fc58e94, "wm_adsp_run" },
	{ 0xeb7fb2ba, "regmap_update_bits_base" },
	{ 0x2623aaf0, "acpi_dev_get_property" },
	{ 0x621c7f6d, "dev_err_probe" },
	{ 0x9f1b82ed, "__pm_runtime_suspend" },
	{ 0x01d4878b, "cs35l56_fill_supply_names" },
	{ 0xd6083357, "__devm_add_action" },
	{ 0xd9fda0b8, "snd_soc_dapm_get_enum_double" },
	{ 0x5010396e, "__pm_runtime_use_autosuspend" },
	{ 0xbb2dde1e, "wm_halo_init" },
	{ 0x1eec718b, "__pm_runtime_disable" },
	{ 0xc9460c47, "cs35l56_firmware_shutdown" },
	{ 0xac8a2e79, "sdw_stream_add_slave" },
	{ 0xa2a21bc4, "pm_runtime_force_suspend" },
	{ 0xf952dfe8, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x213173bc, "snd_soc_dapm_put_enum_double" },
	{ 0xbfe70010, "gpiod_get_value_cansleep" },
	{ 0xde60cf6b, "regcache_cache_only" },
	{ 0x36d622b7, "is_acpi_device_node" },
	{ 0x5909aa9e, "gpiod_put" },
	{ 0x84642511, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x868420b3, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6b229628, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6fa930d2, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2275b296, "acpi_dev_add_driver_gpios" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa6067e16, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "6072142227690706712F4D7");
